//---------------------------------------------------------------------------
#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ShellAPI.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TPanel *Panel2;
        TPanel *Panel7;
        TPanel *Panel8;
        TLabel *Label1;
        TPanel *Panel9;
        TPanel *Panel10;
        TLabel *Label11;
        TPanel *Panel11;
        TLabel *Label7;
        TPanel *Panel6;
        TImage *Image2;
        TLabel *Label17;
        TLabel *Label18;
        TLabel *Label19;
        TLabel *Label20;
        TLabel *Label3;
        TLabel *Label8;
        TLabel *Label10;
        TLabel *Label15;
        TPanel *Panel12;
        TPanel *Panel13;
        TLabel *Label2;
        TLabel *Label6;
        TPanel *Panel4;
        TPanel *DSRTTYWinInstall;
        TPanel *Panel15;
        TPanel *DSRTTYWinManual;
        TPanel *Panel3;
        TPanel *Exit;
        TPanel *Panel17;
        TLabel *Label12;
        void __fastcall DSP4100TechClick(TObject *Sender);
        void __fastcall DSRTTYWinInstallClick(TObject *Sender);
        void __fastcall FirmwareRunClick(TObject *Sender);
        void __fastcall CLOVERMailInstallClick(TObject *Sender);
        void __fastcall DSRTTYWinManualClick(TObject *Sender);
        void __fastcall CLOVERMailManualClick(TObject *Sender);
        void __fastcall DSRTTYWinInstallMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall DSRTTYWinManualMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall Panel13MouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall ExitMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall ExitClick(TObject *Sender);
private:	// User declarations
        void __fastcall CreateParams(TCreateParams &Params);

        void SetDefaultBtn();

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
